Arch Plano de sección

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 54% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Window.svg Window

Arch SectionPlane.svg Arch Plano de Sección

Ubicación en el Menú
Arquitectura → Plano de sección
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
S P
Introducido en versión
-
Ver también
None


Descripción

Esta herramienta coloca en el documento actual un gizmo de plano de sección, que define una sección o plano de vista. El gizmo toma su ubicación de acuerdo con el actual Draft Working Plane y puede reubicarse y reorientarse moviéndolo y girándolo, hasta que describa la vista 2D que desea obtener. El objeto Plano de Sección solo considerará un cierto conjunto de objetos. Los objetos que se seleccionan cuando se crea un plano de sección se agregarán a ese conjunto automáticamente. Posteriormente, se pueden agregar o eliminar otros objetos de un objeto Plano de Sección con las herramientas Arch Add/es y Arch Remove/es, o haciendo doble clic en el Plano de sección en la vista de árbol.

El plano de sección por sí solo no creará ninguna vista de sus objetos establecidos. Para eso, debe crear un Drawing DraftView para crear una vista en un Drawing page, un Draft Shape2DView/es para crear una vista en el documento 3D en sí mismo, o a TechDraw ArchView para crear una vista en un TechDraw page.

Arch SectionPlane example.jpg

Utilización

  1. Opcionalmente, configure el Draft Working Plane para reflejar el plano donde desea colocar el plano de sección
  2. Seleccionar los objetos que quieres incluir en la vista de sección
  3. Presionar el botón Arch SectionPlane.png Plano de sección o pulsar las teclas S y P
  4. Mover / rotar el plano de sección en la posición correcta si es necesario
  5. Seleccione el plano de sección si no está seleccionado
  6. Use ya sea Drawing DraftView, Draft Shape2DView/es o TechDraw ArchView para crear una vista

Opciones

  • El objeto de plano de sección solo considerará un cierto conjunto de objetos, no todos los objetos del documento. Los objetos se pueden agregar o eliminar de un objeto SectionPlane utilizando las herramientas Arch Add/es y Arch Remove/es, o haciendo doble clic en el Plano de sección en la vista de árbol, seleccionando objetos en la lista de en el Escena 3D, y presionando agregar o quitar botones.
  • Con un objeto plano de sección seleccionado, utilizar la herramienta Forma 2D Vista para crear un objeto forma representando la vista de sección en el documento

Arch Section example2.jpg

Arch Section example3.jpg

  • El plano de sección también se puede usar para mostrar toda la vista 3D cortada por un plano infinito. Esto es solo visual, y no afectará la geometría de los objetos que se cortan.

Arch SectionPlane CutView.jpg

Propiedades

  • DATOS Only Solids: si esto es True, no se tendrán en cuenta los objetos no sólidos del conjunto
  • VISTA Display Length: la longitud del gizmo del plano de sección en la vista 3D. No afecta la vista resultante
  • VISTA Display Height: la altura del gizmo del plano de sección en la vista 3D. No afecta la vista resultante
  • VISTA Tamaño de flecha: El tamaño de las flechas del gizmo de plano de sección en la vista 3D. No afecta la vista resultante
  • VISTA Cut View: si esto es True, toda la vista 3D se cortará en la ubicación de este plano de sección (experimental).

Arch SectionPlane ClipView.png

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.


Programación

La herramienta plano de sección se puede utilizar en macros y desde la consaola de Python mediante las siguientes funciones:

Section = makeSectionPlane(objectslist=None, name="Section")
Crea objetos plano de sección incluyendo los objetos dados

Ejemplo:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()